## gimpconvert gimpconvert |

## Functions

gboolean | gimp_image_convert_rgb ()
gboolean | gimp_image_convert_grayscale ()
gboolean | gimp_image_convert_indexed ()
gboolean | gimp_image_convert_set_dither_matrix ()

## Description

## Functions

### gimp_image_convert_rgb ()

    gboolean
    gimp_image_convert_rgb (gint32 image_ID);

### gimp_image_convert_grayscale ()

    gboolean
    gimp_image_convert_grayscale (gint32 image_ID);

### gimp_image_convert_indexed ()

    gboolean
    gimp_image_convert_indexed (gint32 image_ID,
                                GimpConvertDitherType dither_type,
                                GimpConvertPaletteType palette_type,
                                gint num_cols,
                                gboolean alpha_dither,
                                gboolean remove_unused,
                                const gchar *palette);

### gimp_image_convert_set_dither_matrix ()

    gboolean
    gimp_image_convert_set_dither_matrix (gint width,
                                          gint height,
                                          gint matrix_length,
                                          const guint8 *matrix);

Since: GIMP 2.4

## Types and Values